Update a document
Update a document.
PATCH
/
documents
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const document = await client.documents.update('6a09cdc3-8948-47f0-aa62-74ac943d6c58');
console.log(document.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
document = client.documents.update(
document_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(document.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
document, err := client.Documents.Update(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.DocumentUpdateParams{
DocServiceDocument: telnyx.DocServiceDocumentParam{},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", document.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.documents.DocServiceDocument;
import com.telnyx.sdk.models.documents.DocumentUpdateParams;
import com.telnyx.sdk.models.documents.DocumentUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DocumentUpdateParams params = DocumentUpdateParams.builder()
.documentId("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.docServiceDocument(DocServiceDocument.builder().build())
.build();
DocumentUpdateResponse document = client.documents().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
document = telnyx.documents.update("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
puts(document)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$document = $client->documents->update(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
customerReference: 'MY REF 001',
filename: 'test-document.pdf',
);
var_dump($document);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx documents update \
--api-key 'My API Key' \
--document-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request PATCH \
--url https://api.telnyx.com/v2/documents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "test-document.pdf",
"customer_reference": "MY REF 001"
}
'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "document",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"content_type": "application/pdf",
"size": {
"unit": "bytes",
"amount": 123456
},
"status": "pending",
"sha256": "08a96c641c3a74e44eb59afb61a24f2cb9f4d7188748e76ba4bb5edfa3cb7d1c",
"filename": "test-document.pdf",
"customer_reference": "MY REF 001",
"av_scan_status": "scanned"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const document = await client.documents.update('6a09cdc3-8948-47f0-aa62-74ac943d6c58');
console.log(document.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
document = client.documents.update(
document_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(document.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
document, err := client.Documents.Update(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.DocumentUpdateParams{
DocServiceDocument: telnyx.DocServiceDocumentParam{},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", document.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.documents.DocServiceDocument;
import com.telnyx.sdk.models.documents.DocumentUpdateParams;
import com.telnyx.sdk.models.documents.DocumentUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DocumentUpdateParams params = DocumentUpdateParams.builder()
.documentId("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.docServiceDocument(DocServiceDocument.builder().build())
.build();
DocumentUpdateResponse document = client.documents().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
document = telnyx.documents.update("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
puts(document)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$document = $client->documents->update(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
customerReference: 'MY REF 001',
filename: 'test-document.pdf',
);
var_dump($document);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx documents update \
--api-key 'My API Key' \
--document-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request PATCH \
--url https://api.telnyx.com/v2/documents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "test-document.pdf",
"customer_reference": "MY REF 001"
}
'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "document",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"content_type": "application/pdf",
"size": {
"unit": "bytes",
"amount": 123456
},
"status": "pending",
"sha256": "08a96c641c3a74e44eb59afb61a24f2cb9f4d7188748e76ba4bb5edfa3cb7d1c",
"filename": "test-document.pdf",
"customer_reference": "MY REF 001",
"av_scan_status": "scanned"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}